cgD3D9IsProfileSupported(3)

NAME
cgD3D9IsProfileSupported - determine if a profile is supported by cgD3D9

SYNOPSIS
  #include <Cg/cgD3D9.h>
  CGbool cgD3D9IsProfileSupported( CGprofile profile );

PARAMETERS

profile
    The profile which will be checked for support.

RETURN VALUES
Returns CG_TRUE if profile is supported by the cgD3D9 library.

Returns CG_FALSE otherwise.

DESCRIPTION
cgD3D9IsProfileSupported returns CG_TRUE if the profile indicated by profile is supported by the cgD3D9 library.

EXAMPLES
    // assuming the program requires Shader Model 3.0 ...
    if ((!cgD3D9IsProfileSupported(CG_PROFILE_VS_3_0)) ||
        (!cgD3D9IsProfileSupported(CG_PROFILE_PS_3_0))) {
      fprintf(stderr, "Sorry, required profiles not supported on this system.\n");
      exit(1);
    }

ERRORS
None.

HISTORY
cgD3D9IsProfileSupported was introduced in Cg 1.5.

SEE ALSO
cgD3D9GetLatestPixelProfile, cgD3D9GetLatestVertexProfile